Dms Templates
Alle Operationen rund um Dms Templates.
Datenmodell
Die Endpoints dieses Moduls arbeiten auf folgender Entität. Die Schema-Referenz listet jedes Feld mit Typ, Validierung und Beziehungen:
| Entität | Schema-ID | Felder | Sequenz | Permissions |
|---|---|---|---|---|
| DMS Template | dms_template |
16 | — | dms_template_* |
Endpoints
| Methode | Pfad | Operation | Beschreibung |
|---|---|---|---|
POST |
/v1/dms_templates |
Create dms_template | Create a new dms_template in the active tenant. |
DELETE |
/v1/dms_templates/{id} |
Delete dms_template | Soft delete entity. |
GET |
/v1/dms_templates/{id} |
Get dms_template by id | Fetch a single dms_template. |
GET |
/v1/dms_templates/{id}/linked |
Get linked entities | CodeMeta OS API endpoint. |
GET |
/v1/dms_templates/{id}/timeline |
Get timeline | CodeMeta OS API endpoint. |
GET |
/v1/dms_templates/{id}/transitions |
List transitions | CodeMeta OS API endpoint. |
GET |
/v1/dms_templates |
List dms_templates | List dms_templates for the active tenant. |
PATCH |
/v1/dms_templates/{id} |
Patch dms_template | JSON Merge Patch update. |
POST |
/v1/dms_templates/bulk |
Bulk operation | CodeMeta OS API endpoint. |
POST |
/v1/dms_templates/{id}/transition |
POST /v1/dms_templates/{id}/transition | CodeMeta OS API endpoint. |
POST |
/v1/dms_templates/{id}/transitions/{transitionKey} |
Execute transition | CodeMeta OS API endpoint. |
PUT |
/v1/dms_templates/{id} |
Replace dms_template | Full replace with optimistic locking. |